
module NaranyaEcm
  class Category

    include NaranyaEcm.document_module
    include NaranyaEcm::Behaviors::Timestampable
    include NaranyaEcm::Search::Methods
    include NaranyaEcm::Behaviors::MediaMethods

    field :code, type: String
    validates :code, presence: true

    field :name, type: String, localize: true
    
    has_many :media_resources

    has_many :contents

  end
end
