module NaranyaEcm::Search
  class Hit
    attr_reader :id, :type, :updated_at, :order, :score
    def initialize(attributes={})
      @id         = attributes.delete :_id
      @type       = attributes.delete :_type
      @score      = attributes.delete :_score

      source      = attributes.delete :_source
      @updated_at = source.has_key?(:updated_at) ? source.delete(:updated_at).to_datetime : nil
      @order      = attributes.delete :order
    end

    def klass
      @klass ||= "NaranyaEcm::#{type.classify}".constantize
    end
    
  end
end
