require 'fog/aws' unless defined?(::Fog::AWS)

module NContent
  module SDK

    class Storage

      attr_reader :aws_storage

      def initialize
        @aws_storage ||= Fog::Storage.new \
          provider: ::NContent::SDK.config.bucket_provider,
          aws_access_key_id: ::NContent::SDK.config.bucket_api_key,
          aws_secret_access_key: ::NContent::SDK.config.bucket_api_secret
      end

      delegate :directories, to: :aws_storage

    end

  end
end
