
content = NaranyaEcm::Content.create(
  state: "draft",
  author: "Vovi",
  title_translations: { "es" => "FlappyBird"},
  main_url: "http://www.naranyamarket.com/1"
)

content_version = NaranyaEcm::ContentVersion.create(
  content_id: content.id,
  state: "draft",
  description_translations: { "es" => "FlappyBird"},
  code: 1,
  name: "0.0.1"
)

public_media_resource = NaranyaEcm::MediaResource.create(
  content_version_id: content_version.id,
  type: "image/png",
  role: "banner",
  downloadable_url: "https://cms-ejemplo-1.s3.amazonaws.com/flappybirdbanner.png",
  access_type: 'public'
)

private_media_resource = NaranyaEcm::MediaResource.create(
  content_version_id: content_version.id,
  type: "application/apk",
  role: "main_downloadable",
  downloadable_url: "https://cms-ejemplo-1.s3.amazonaws.com/flappybird.apk",
  access_type: 'private'
)