
require 'naranya_ecm/rest/relation'

module NaranyaEcm::Rest
  class AssociationRelation < Relation
    attr_reader :foreign_key_name, :foreign_key_value

    def initialize(given_klass, given_foreign_key_name, given_foreign_key_value)
      
      raise ArgumentError unless given_foreign_key_name.present?

      @foreign_key_name, @foreign_key_value = given_foreign_key_name, given_foreign_key_value

      super(given_klass, foreign_key_name => foreign_key_value)
      
    end

    def fetch_from_server
      foreign_key_value.present? ? super : []
    end

  end
end